"use strict";

var GO_Cafe = function(){
	this.sprite = new Sprite(GO_Cafe.spriteSheet,"Cafe");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(1,8,31,31);
	this.sprite.game_object = this; // no longer a generic GO

	this.name = "Cafe";

	this._makeCheckable("Cafe_sample");
};
GO_Cafe.spriteImg = SDS_Load_Image("art/sheets/sprite/cafe.png");
GO_Cafe.spriteSheet = new TileSheet(5, 5, 0, 0, GO_Cafe.spriteImg);

GO_Cafe.prototype = new GameObject(
	new Sprite(
		GO_Cafe.spriteSheet,
		"Cafe"
	),
	"Cafe"
	);

	GO_Cafe.prototype.Update = function(){

	};
